# $Revision: 1.7 $, $Date: 2004/07/11 19:33:37 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Math
%define	pnam	Quaternion
Summary:	Math::Quaternion - Perl class to represent quaternions
Summary(pl):	Math::Quaternion - klasa Perla do reprezentowania kwaternionw
Name:		perl-Math-Quaternion
Version:	0.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cf608eb63b91bdf8bd1c148c9888638b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	perl-Test-Simple}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package lets you create and manipulate quaternions. A
quaternion is a mathematical object developed as a kind of
generalization of complex numbers, usually represented by an array
of four real numbers, and is often used to represent rotations in
three-dimensional space.

%description -l pl
Ten pakiet pozwala na tworzenie oraz wykorzystywanie kwaternionw w
obliczeniach. Kwaternion to obiekt matematyczny wymylony jako rodzaj
uoglnienia liczb zespolonych, zazwyczaj reprezentowany jako tablica
czterech liczb rzeczywistych, czsto uywany do reprezentowania
obrotw w przestrzeni trjwymiarowej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Math/Quaternion.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Quaternion.spec,v $
Revision 1.7  2004/07/11 19:33:37  adamg
- updated to 0.02

Revision 1.6  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/23 07:50:18  ankry
- license fixes, unification

Revision 1.4  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.3  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.2  2003/07/17 22:15:19  qboosh
- removed junk

Revision 1.1  2003/06/29 21:11:30  qboosh
- new
